Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Kieker 1.10
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## kieker.tools.opad.filter
Class AnomalyScoreCalculationFilter

    java.lang.Object
      kieker.analysis.analysisComponent.AbstractAnalysisComponent
          kieker.analysis.plugin.AbstractPlugin
              kieker.analysis.plugin.filter.AbstractFilterPlugin
                  kieker.tools.opad.filter.AnomalyScoreCalculationFilter

All Implemented Interfaces:
  IAnalysisComponent, IFilterPlugin, IPlugin

    public class AnomalyScoreCalculationFilter

extends AbstractFilterPlugin

This filter calculates the anomaly score based on the distance between the forecasted and the actual value.

Since:
  1.9
Author:
  Tillmann Carlos Bielefeld

Nested Class Summary

Nested classes/interfaces inherited from interface kieker.analysis.plugin.IPlugin
`IPlugin.PluginInputPortReference, IPlugin.STATE`

Field Summary
`static String` | `INPUT_PORT_CURRENT_FORECAST_PAIR`
`static String` | `OUTPUT_PORT_ANOMALY_SCORE`

Fields inherited from class kieker.analysis.analysisComponent.AbstractAnalysisComponent
`CONFIG_NAME`

Constructor Summary
`AnomalyScoreCalculationFilter(Configuration configuration, IProjectContext projectContext)`

Method Summary
`Configuration` | `getCurrentConfiguration()` This method should deliver a `Configuration` object containing the current configuration of this instance.
`void` | `inputForecastAndMeasurement(IForecastMeasurementPair fmp)` Representing the input port for pairs of measurements and forecasts.

Methods inherited from class kieker.analysis.plugin.filter.AbstractFilterPlugin
`init, terminate`

Methods inherited from class kieker.analysis.plugin.AbstractPlugin
`areAllRepositoryPortsConnected, connect, connect, getAllDisplayNames, getAllInputPortNames, getAllOutputPortNames, getAllRepositoryPortNames, getConnectedPlugins, getCurrentRepositories, getIncomingPlugins, getPluginDescription, getPluginName, getState, isConnectionAllowed, shutdown, start`

Methods inherited from class kieker.analysis.analysisComponent.AbstractAnalysisComponent
`getName`

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Methods inherited from interface kieker.analysis.plugin.IPlugin
`connect, getAllDisplayNames, getAllInputPortNames, getAllOutputPortNames, getAllRepositoryPortNames, getConnectedPlugins, getCurrentRepositories, getName, getPluginDescription, getPluginName, getState`

Field Detail

### INPUT_PORT_CURRENT_FORECAST_PAIR

    public static final String INPUT_PORT_CURRENT_FORECAST_PAIR

See Also:
  Constant Field Values

### OUTPUT_PORT_ANOMALY_SCORE

    public static final String OUTPUT_PORT_ANOMALY_SCORE

See Also:
  Constant Field Values

Constructor Detail

### AnomalyScoreCalculationFilter

    public AnomalyScoreCalculationFilter(Configuration configuration,
                                         IProjectContext projectContext)

Method Detail

### getCurrentConfiguration

    public Configuration getCurrentConfiguration()

  Description copied from class: `AbstractAnalysisComponent`
  This method should deliver a `Configuration` object containing the current configuration of this instance. In other words: The constructor should be able to use the given object to initialize a new instance of this class with the same intern properties.

  Specified by:
    `getCurrentConfiguration` in interface `IAnalysisComponent`
  Specified by:
    `getCurrentConfiguration` in interface `IPlugin`
  Specified by:
    `getCurrentConfiguration` in class `AbstractAnalysisComponent`
  Returns:
    A completely filled configuration object.

### inputForecastAndMeasurement

    public void inputForecastAndMeasurement(IForecastMeasurementPair fmp)

  Representing the input port for pairs of measurements and forecasts.

  Parameters:
    `fmp` - Pair consisting of measurement and forecast

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Kieker 1.10
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright 2014 Kieker Project, http://kieker-monitoring.net